POST Agents/AI/GetChatbotResponse
Some tooltip text!
• 4 minutes to read
• 4 minutes to read
POST /api/v1/Agents/AI/GetChatbotResponse
Return a chatbot response given prompt and previous turns.
Stores the new turn in the history for the chatId NsApiSlow threshold: 2000 ms.
Experimental: ## The AI agent is experimental, subject to change, and not intended for partners.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/AI/GetChatbotResponse?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
ChatId, IsoLangCode, UserPrompt, DisplayValue, PreviousTurns, ApiUrl
| Property Name | Type | Description |
|---|---|---|
| ChatId | String | |
| IsoLangCode | String | |
| UserPrompt | String | |
| DisplayValue | String | |
| PreviousTurns | Array | |
| ApiUrl | String |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: ChatbotTurn
| Property Name | Type | Description |
|---|---|---|
| Timestamp | date-time | UTC timestamp for turn - when response was generated. |
| UserPrompt | string | Text from the user |
| UserDisplayText | string | Optional display value to use instead of the the UserPrompt |
| BotResponse | string | Text from the chatbot |
| BotActions | object | optional dictionary of action buttons. Key = Display text, Value = Prompt text |
| Attachments | array | optional array of attachments - can be URL or Base64 encoded data |
Sample request
POST /api/v1/Agents/AI/GetChatbotResponse
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"ChatId": "iusto",
"IsoLangCode": "et",
"UserPrompt": "quam",
"DisplayValue": "porro",
"PreviousTurns": [
{
"Timestamp": "2015-05-06T10:10:58.2880006+02:00",
"UserPrompt": "aut",
"UserDisplayText": "voluptatibus",
"BotResponse": "numquam",
"BotActions": {
"BotActions1": "distinctio",
"BotActions2": "dolore"
},
"Attachments": [
"distinctio",
"quisquam"
]
},
{
"Timestamp": "2015-05-06T10:10:58.2880006+02:00",
"UserPrompt": "aut",
"UserDisplayText": "voluptatibus",
"BotResponse": "numquam",
"BotActions": {
"BotActions1": "distinctio",
"BotActions2": "dolore"
},
"Attachments": [
"distinctio",
"quisquam"
]
}
],
"ApiUrl": "http://www.example.com/"
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"Timestamp": "2024-11-24T14:32:45.7890123+01:00",
"UserPrompt": "How do I reset my password?",
"UserDisplayText": "How do I reset my password?",
"BotResponse": "To reset your password, click on 'Forgot Password' on the login page. You'll receive an email with a secure link to create a new password. The link is valid for 24 hours. If you don't receive the email, please check your spam folder.",
"BotActions": {
"action1": "Open Password Reset Page",
"action2": "Contact Support"
},
"Attachments": [
"password-reset-guide.pdf",
"security-tips.pdf"
]
}